#!/bin/awk -f
#
# generate list of filler tunes (with attr FILLET=1 in .t file).
#

/:FILLET=1/ {
    split($0,a,":")
    i=index($0,"=")
    filletmap[a[1]]=1
}

!/:/ {
    canon=$1
    names=$1
    if (names ~ /\.mp3$/) {
	names=substr(names, 1, length(names)-4)
    }
    if (filletmap[names]) {
	print canon
    }
}

